TokenControllerGetParameterTokensWithOptions Method

POST /Token/GetParameterTokens/ Retrieves the parameter tokens.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("GetParameterTokens")]
public IActionResult GetParameterTokensWithOptions(
	[FromBodyAttribute] GetParameterTokensOptions options,
	Guid? sessionId = null
)

Parameters

options
Type: Dundas.BI.WebApi.ModelsGetParameterTokensOptions
The supplied GetParameterTokensOptions class with the options for getting the parameter tokens.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
An array of ParameterTokenData objects containing the parameter token data, or a status code indicating the problem.
See Also